# Supersingular Isogeny Key Encapsulation

Repository stores implementation of SIKE based on field p503 in Go. It is small and condese implementation. 

Implementation uses HMAC instead of cSHAKE.

## Speed

This version is highly not optimized, it doesn't use any assembly.

```
> go test -run=. -bench=.             
goos: linux
goarch: amd64
BenchmarkKeygen-4   	 1000000	      1204 ns/op
BenchmarkEncaps-4   	      20	  54651908 ns/op
BenchmarkDecaps-4   	      20	  60516975 ns/op
PASS
ok  	_/home/hdc/repos/go-sike-p503	5.550s
```